﻿$ErrorActionPreference = 'Stop'

if ((Get-OSArchitectureWidth 32) -or $env:ChocolateyForceX86) {
  throw ("This application currently only supports 64-bit Windows systems.")
}

$packageArgs = @{
  url64         = 'https://github.com/vladimiry/ElectronMail/releases/download/v4.15.0/electron-mail-4.15.0-windows-x64-nsis-installer.exe'
  checksum64    = '5b990fe313d71a12581f1c14c9768fdae96c9f9f745af9fcbdc968672f1e832a'
  checksumType  = 'sha256'
  softwareName  = 'ElectronMail*'
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  packageName   = $env:ChocolateyPackageName
}

Install-ChocolateyPackage @packageArgs
